Skip to main content
DELETE
https://{tenantDomain}/api/v2
/
actions
/
actions
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.DeleteAsync(
            id: "id",
            request: new DeleteActionRequestParameters {
                Force = true
            }
        );
    }

}
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.DeleteActionRequestParameters{
        Force: management.Bool(
            true,
        ),
    }
    client.Actions.Delete(
        context.TODO(),
        "id",
        request,
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.requests.DeleteActionRequestParameters;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.actions().delete(
            "id",
            DeleteActionRequestParameters
                .builder()
                .force(true)
                .build()
        );
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Requests\DeleteActionRequestParameters;

$client = new Management(
    token: '<token>',
);
$client->actions->delete(
    'id',
    new DeleteActionRequestParameters([
        'force' => true,
    ]),
);
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.actions.delete(
    id="id",
    force=True,
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.actions.delete(
  id: "id",
  force: true
)
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.actions.delete("id", {
        force: true,
    });
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.actions.delete("id", {
        force: true,
    });
}
main();
curl --request DELETE \
  --url https://{tenantDomain}/api/v2/actions/actions/{id} \
  --header 'Authorization: Bearer <token>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the action to delete.

Query Parameters

force
boolean

Force action deletion detaching bindings

Response

Action successfully deleted.